.timeline
	cursor: default
	&.-blue
		._title
			background-color: $blue
			color: $white
		._content
			._period
				&.-current
					border-left-color: lighten($blue, 35%)
					color: $blue
			._item
				background-color: $blue
			._item_length
				background-color: lighten($blue, 35%)
	&.-green
		._title
			background-color: $blue_light
			color: $white
		._content
			._period
				&.-current
					border-left-color: $blue_light
					color: $blue_light
			._item
				background-color: $blue_light
			._item_length
				background-color: lighten($blue_light, 35%)
	&.-placeholder,
	&.-time_periods
		._title
			+responsive()
				display: none
		._content
			background-color: transparent
	._title
		+responsive()
			width: 100% !important
			height: $height / 2 !important
	._content
		background-color: rgba($light, 0.3)
		._period
			color: $dark
			+padding(fourth, 0, 0 ,0 , 1)
			border-left: 1px dashed rgba($light, 0.8)
		._item
			+padding(fourth, 0, 1, 0, 1)
			white-space: nowrap
			position: absolute
			z-index: 1
			// border-radius: 3px
			color: $white
		._item_length
			z-index: 2
			position: absolute
			height: 8px
